Subject: Re: bug#41836: 26.3; Could we stop `help-buffer' from ever signalling errors?

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 21 Jan 2021 17:04:53 +0100

Phil Sainty <[email-masked]> writes:

> My motivation is from wondering whether it was simple to
> display all of the function and variable symbols displayed by
> `so-long-commentary' as help buttons.  I found that calling
> `help-make-xrefs' does exactly that, but then trying to use any
> of the buttons causes the "Current buffer is not in Help mode"
> error.
>
> With the suggested change I get the desirable behaviour of those
> help buttons popping up a help window with the relevant help.
> It seems to work beautifully for my use-case, and would surely
> be equally useful in other similar situations.
>
> Is there any good reason to maintain that error?

Looking at the code, my impression is that `help-make-xrefs' is meant to
be used in `help-mode' buffers only, and the `error' call is just a
sanity check for that, kinda?  Lifting the restriction by removing that
`error' would allow other usages.  I'm not sure whether they're
all taken into account, though.

Anybody got an opinion here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no